{% extends 'base.html.twig' %}

{% block body %}
    <main class='main-content bgc-grey-100'>
        <div id='mainContent'>


            <div class="row my-3">
                <div class="col px-3">
                    <a href="{{ path('group_providers_list') }}" class="btn btn-info btn-arrow-right btn-arrow-start mb-2">
                        Studenti
                    </a>
                    <a href="{{ path('list_groups_in_provider', {'providerId': provider.id}) }}"
                       class="btn btn-info btn-arrow-right mb-2">
                        {{ provider.name|capitalize }}
                    </a>
                    {% if group.sector %}
                        <a href="{{ path ('list_groups_in_provider', { 'providerId': provider.id, 'sectorId': group.sector.id }) }}"
                           class="btn btn-info btn-arrow-right mb-2">
                            {{ group.sector.name }}
                        </a>
                    {% endif %}
                    <a href="#" class="btn btn-success btn-arrow-right btn-arrow-end mb-2">
                        {{ group }}
                    </a>
                </div>
                <div class="col-auto">
                    <ul class="list-unstyled">
                        <li>
                            <i class="fa fa-users"></i> Sono presenti utenti con navigazione singola attiva &nbsp;
                        </li>
                        <li>
                            <i class="fa-solid fa-mobile-screen"></i> Sono permessi dispositivi personali
                        </li>
                    </ul>
                </div>
            </div>


            <div class="table-responsive">
                <table class="table table-striped">
                    <tr>
                        <th></th>
                        <th>Cognome e nome</th>
                        {% if teacherCanSeeList %}
                            <th>Username</th>
                            <th>Email</th>
                            <th>ID</th>
                        {% endif %}
                        <th></th>
                    </tr>
                    {% for user in students %}
                        <tr class="student-row" data-person-username="{{ user.student.username }}"
                            data-person-id="{{ user.student.id }}">
                            <td>
                                {% if user.state=='user-active' %}
                                    <i class="fa-solid fa-globe"></i>
                                    {% if user.permitPersonalDevices %}
                                        <i class="fa-solid fa-mobile-screen"></i>
                                    {% endif %}
                                    {% if user.ending_time %}
                                        {{ user.ending_time }}
                                    {% endif %}
                                    {% if user.activedBy != "" %}<br/>
                                        <div class="badge text-bg-success lh-0 p-10">{{ user.activedBy }}</div>
                                    {% endif %}
                                {% endif %}
                            </td>
                            <td>
                                {{ user.student.lastname }} {{ user.student.firstname }} <br/>
                            </td>
                            {% if teacherCanSeeList %}
                                <td>{{ user.student.username }}</td>
                                <td>{{ user.student.email }}</td>
                                <td>{{ user.student.fiscalCode }}</td>
                            {% endif %}
                            <td class="align-middle">
                                <div class="d-flex h-100 align-items-center justify-content-end gap-2">
                                    {% if user.state=='not-active' %}
                                        <button id="internetOn-{{ user.student.id }}"
                                                class="btn btn-success internetOn" {{ (not user.student.username)?"disabled" }}>
                                            <i class="fas fa-clock"></i> Attiva
                                        </button>
                                    {% elseif user.state=='activating' %}
                                        <span class="badge bg-warning align-self-center">In Attivazione</span>
                                    {% else %}
                                        <button id="internetEx-{{ user.student.id }}" class="btn btn-warning internetOn">
                                            <i class="fas fa-clock"></i> Estendi
                                        </button>
                                        <a href="{{ path('internetOffUser',{'providerId': provider.id, 'groupId': group.id, 'studentId': user.student.id}) }}"
                                           class="btn btn-danger"
                                                {% if user.activedByOtherUser %} onclick="return confirm('Non sei stato tu ad abilitare questo studente. Sicuro di volerlo disattivare?')"{% endif %}
                                        >
                                            Disattiva
                                        </a>
                                    {% endif %}
                                    <div class="dropdown">
                                        <button type="button" class="btn btn-secondary dropdown-toggle"
                                                data-bs-toggle="dropdown">
                                            Azioni <span class="caret"></span>
                                        </button>
                                        <ul class="dropdown-menu">
                                            {% if teacherCanSeeList or currentUserIsAdmin %}
                                                <li>
                                                    <a href="#" class="dropdown-item showPersonDataBt">
                                                        Visualizza i dati
                                                    </a>
                                                </li>
                                            {% endif %}
                                            {% if user.student.username and ((teacherCanResetPassword and teacherCanSeeList) or currentUserIsAdmin) %}
                                                <li>
                                                    <a href="#" class="dropdown-item resetPersonPasswordBt"
                                                       data-person-pass="{{ user.student.startingPassword }}">
                                                        Reimposta la password
                                                    </a>
                                                </li>
                                            {% endif %}
                                            {% if currentUserIsAdmin %}
                                                {% if user.student.username %}
                                                <li>
                                                    <a href="#" class="dropdown-item renewPersonPasswordBt">
                                                        Crea una nuova password
                                                    </a>
                                                 </li>
                                                {% endif %}
                                                <li>
                                                    <a class="dropdown-item"
                                                       href="{{ path('student_edit',{'id': user.student.id, 'groupId': group.id}) }}">
                                                        Modifica l'utente
                                                    </a>
                                                </li>
                                            {% endif %}
                                        </ul>
                                    </div>
                                </div>
                            </td>
                        </tr>
                    {% endfor %}
                </table>
            </div>

            <div class="row">
                <div class="col-lg-6 col-md-12 col-sm-12 d-grid gap-2 d-lg-flex align-items-center mb-2">
                    <a href="{{ path ('list_groups_in_provider', { 'providerId': provider.id }) }}" class="btn btn-secondary">
                        Ritorna alla lista {{ provider.name }}
                    </a>
                </div>
                <div class="col-lg-6 col-md-12 col-sm-12 d-grid gap-2 d-lg-flex justify-content-lg-end text-start text-md-end align-items-center mb-2">
                    {% if teacherCanSeeList %}
                        <a href="{{ path('print_students_in_group',{'providerId': provider.id, 'groupId':group.id, '_format': 'pdf'}) }}"
                           class="btn btn-info" target="_blank">Stampa lista studenti</a>
                    {% endif %}
                    {% if currentUserIsAdmin %}
                        <a href="{{ path('student_new',{'providerId': provider.id, 'groupId':group.id}) }}"
                           class="btn btn-success">Crea Nuovo Studente</a>
                        <a href="{{ path('group_edit', {'providerId': provider.id, 'groupId':group.id}) }}"
                           class="btn btn-primary">Modifica Gruppo</a>
                    {% endif %}
                </div>
            </div>



            {% include 'components/student_activation_modal.html.twig' %}
            {% include 'components/user_actions_modal.html.twig' with {personType: 'student'} %}
        </div>
    </main>


{% endblock %}


{% block javascripts %}
    {{ parent() }}
    <script>
        {% include 'components/student_activation_modal.js.twig' %}
        {% include 'components/user_actions_modal.js.twig' with {personType: 'student'} %}

    </script>


{% endblock %}
